# jdbc-hospital-example

This project is a example of using jdbc

The project uses the [Spock Framework Example Project](https://github.com/spockframework/)

## Prerequisites

- JDK 17 or higher

- Maven use `mvnw` wrapper

- Gradle use `gradlew` wrapper

## Building with Gradle

Downloaded files (including the Gradle distribution itself) will be stored in the Gradle user home directory (typically **user_home**`/.gradle`).

Type: test

```shell
./gradlew clean test
```

Type: build

```shell
./gradlew clean build
```

Type: preparation
- create a folder, for example, `project`.
- copy config/db to the folder.
- copy `jdbc_hospital_example-1.0.2.jar` from a release to the folder.
  - if you build the application from source, find the file (`jdbc_hospital_example-1.0.2-all.jar`) in `build/libs/`.
- copy docker/docker-compose.yml to the folder.
- turn up the database in the `project/docker`:
  ```
  docker-compose up -d
  ```
- wait a minute while the database is bootstrapping.
- now you can connect with the application.

Type: run

After the preparation, run the application in the folder, for example, `project`:
```shell
java -jar jdbc_hospital_example-1.0.2.jar
```

## Building with Maven

Downloaded files will be stored in the local Maven repository (typically **user_home**`/.m2/repository`).

Type: test

```shell
./mvnw clean test
```

Type: build


```shell
./mvnw clean package
```

Type: preparation
- create a folder, for example, `project`.
- copy config/db to the folder.
- copy `jdbc_hospital_example-version.jar` from a release to the folder.
  - if you build the application from source, find the file in `target/`.
- copy docker/docker-compose.yml to the folder.
- turn up the database in the `project/docker`:
  ```
  docker-compose up -d
  ```
- wait a minute while the database is bootstrapping.
- now you can connect with the application.

Type: run

After the preparation, run the application in the folder, for example, `project`:
```shell
java -jar jdbc_hospital_example-1.0.2.jar
```

## Author

Kostiantyn Klochko (c) 2023

